Package ru.bitel.bgbilling.plugins.crm.server.dao

# Class RegisterTaskManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<RegisterTask>
ru.bitel.bgbilling.common.dao.AbstractIdDao<RegisterTask>
ru.bitel.bgbilling.plugins.crm.server.dao.RegisterTaskManager

public class RegisterTaskManager extends ru.bitel.bgbilling.common.dao.AbstractIdDao<RegisterTask>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterTaskManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteTask(int id)`
  Удаление задачи из БД
  `void`
  `deleteTasksByContractId(int contractId)`
  `List<RegisterTask>`
  `getAfterDateTaskList(int contractId, Calendar fromDate)`
  Получение списка задач договора с датой открытие более или равной fromDate
  `protected RegisterTask`
  `getFromRS(ResultSet rs)`
  `List<RegisterTask>`
  `getNoClosedTaskList(int contractId)`
  Получение списка не закрытых задач для договора
  `List<RegisterTask>`
  `getRegisterTaskLog(int taskId)`
  Получение лога изменений статусов задач
  `List<RegisterTaskType>`
  `getRegisterTaskTypeList(Set<Integer> groups)`
  `static Map<Integer,String>`
  `getStatusMap(String values)`
  `RegisterTask`
  `getTaskById(int id)`
  Получение задачи по ее коду в БД
  `int`
  `getTaskCount(ru.bitel.bgbilling.plugins.crm.server.model.TaskFilter filter)`
  Получение количества задач по определенному фильтру
  `List<PersonalRegisterTask>`
  `getTaskList(ru.bitel.bgbilling.plugins.crm.server.model.TaskFilter filter, Page page)`
  `void`
  `loadExecutorList(RegisterTask task)`
  Загрузка кодов исполнителей для задачи, далее доступны по методу getExecutors()
  `void`
  `updateExecutorList(RegisterTask task)`
  Обновление исполнителей задачи
  `protected void`
  `updateImpl(RegisterTask registerTask)`
  `void`
  `updateTask(RegisterTask task, int userId)`
  Обновление задачи в БД
  `void`
  `updateTaskLog(RegisterTask task, int userId)`
  метод обновления таблицы логов задачи

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegisterTaskManager

    public RegisterTaskManager(Connection con)

- ## Method Details

  - ### getTaskById

    public RegisterTask getTaskById(int id) throws SQLException
    Получение задачи по ее коду в БД
    Parameters:
      `id` - - код задачи
    Returns:
      объект с данными о задаче с указанным id
    Throws:
      `SQLException`

  - ### loadExecutorList

    public void loadExecutorList(RegisterTask task) throws SQLException
    Загрузка кодов исполнителей для задачи, далее доступны по методу getExecutors()
    Parameters:
      `task` -
    Throws:
      `SQLException`

  - ### getStatusMap

    public static Map<Integer,String> getStatusMap(String values)

  - ### updateExecutorList

    public void updateExecutorList(RegisterTask task) throws SQLException
    Обновление исполнителей задачи
    Parameters:
      `task` - - задача, список исполнителей должен быть установлен через task.setExecutors()
    Throws:
      `SQLException`

  - ### updateTask

    public void updateTask(RegisterTask task, int userId) throws SQLException
    Обновление задачи в БД
    Parameters:
      `task` - - код с id существующей задачи либо -1 - для создаваемой
    Throws:
      `SQLException`

  - ### updateTaskLog

    public void updateTaskLog(RegisterTask task, int userId) throws SQLException
    метод обновления таблицы логов задачи
    Parameters:
      `task` - Задача, у которой изменился статус
      `userId` - Пользователь, изменивший статус задачи
    Throws:
      `SQLException`

  - ### getRegisterTaskLog

    public List<RegisterTask> getRegisterTaskLog(int taskId) throws SQLException
    Получение лога изменений статусов задач
    Parameters:
      `taskId` - код задачи
    Returns:
      Список измений статусов
    Throws:
      `SQLException`

  - ### deleteTask

    public void deleteTask(int id) throws SQLException
    Удаление задачи из БД
    Parameters:
      `id` -
    Throws:
      `SQLException`

  - ### deleteTasksByContractId

    public void deleteTasksByContractId(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### getTaskCount

    public int getTaskCount(ru.bitel.bgbilling.plugins.crm.server.model.TaskFilter filter) throws SQLException
    Получение количества задач по определенному фильтру
    Parameters:
      `filter` -
    Returns:
      количество задач соответствующих заданому фильтру
    Throws:
      `SQLException`

  - ### getAfterDateTaskList

    public List<RegisterTask> getAfterDateTaskList(int contractId, Calendar fromDate) throws SQLException
    Получение списка задач договора с датой открытие более или равной fromDate
    Parameters:
      `contractId` - - код договора
      `fromDate` -
    Returns:
      список задач
    Throws:
      `SQLException`

  - ### getNoClosedTaskList

    public List<RegisterTask> getNoClosedTaskList(int contractId) throws SQLException
    Получение списка не закрытых задач для договора
    Parameters:
      `contractId` -
    Returns:
      список задач
    Throws:
      `SQLException`

  - ### getTaskList

    public List<PersonalRegisterTask> getTaskList(ru.bitel.bgbilling.plugins.crm.server.model.TaskFilter filter, Page page) throws Exception
    Throws:
      `Exception`

  - ### getRegisterTaskTypeList

    public List<RegisterTaskType> getRegisterTaskTypeList(Set<Integer> groups) throws SQLException
    Throws:
      `SQLException`

  - ### getFromRS

    protected RegisterTask getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<RegisterTask>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(RegisterTask registerTask) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<RegisterTask>`
    Throws:
      `SQLException`